Skip to main content
PATCH
cURL
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string
required

cluster_id is the ID for the cluster.

endpoint_id
string
required

endpoint_id is the ID for the VPC endpoint on the customer's side.

Body

application/json
status
enum<string>

The statuses map to the statuses returned by the AWS API.

Available options:
ENDPOINT_PENDING,
ENDPOINT_PENDING_ACCEPTANCE,
ENDPOINT_AVAILABLE,
ENDPOINT_DELETING,
ENDPOINT_DELETED,
ENDPOINT_REJECTED,
ENDPOINT_FAILED,
ENDPOINT_EXPIRED

Response

A successful response.

cloud_provider
enum<string>
required
  • GCP: The Google Cloud Platform cloud provider.
  • AWS: The Amazon Web Services cloud provider.
Available options:
GCP,
AWS
endpoint_id
string
required

endpoint_id is the client side of the PrivateLink connection.

region_name
string
required

region_name is the cloud provider region name (i.e. us-east-1).

service_id
string
required

service_id is the server side of the PrivateLink connection. This is the same as AWSPrivateLinkEndpoint.service_id.

status
enum<string>
required

The statuses map to the statuses returned by the AWS API.

Available options:
ENDPOINT_PENDING,
ENDPOINT_PENDING_ACCEPTANCE,
ENDPOINT_AVAILABLE,
ENDPOINT_DELETING,
ENDPOINT_DELETED,
ENDPOINT_REJECTED,
ENDPOINT_FAILED,
ENDPOINT_EXPIRED